/*
 * File: rho_name.h
 * Date: 2011-11-01
 *
 * Evsiz (evsiz@this-voice.org)
 * Rho released under the Creative Commons NonCommercial ShareAlike License 3.0
 * See http://creativecommons.org for details
 *
 * Rho is a fork of the Linux port of MicroEMACS developed by Humberto
 * Ortiz-Zuazaga and Jean-Pierre Demailly. Their work forked the MicroEMACS
 * of Daniel M. Lawrence which was in turn a fork of uemacs by Dave G.
 * Conroy. MicroEmacs was copyrighted 1993 by Mr. Lawrence with a
 * stipulation that it could not be used commercially. Uemacs was released
 * by Mr. Conroy into the public domain in 1985.
 *
 */


/*	

This file lists all the C code functions used by Rho and the names to
use to bind keys to them. To add functions, declare it here in the name
binding table the extern function list in protos.h. This table gives
the names of all the bindable functions end their C function address.
These are used for the bind-to-key function.

IN THIS NAMES TABLE, ENTRIES MUST BE IN ALPHABETICAL ORDER.

*/


NBIND names[] = {
  {"abort-command", abort_command},
  {"add-global-mode", setgmode},
  {"add-mode", setmod},
  {"append-file", append_file},
  {"apropos", apropos},
  {"back-from-tag", back_from_tag},
  {"begin-macro", begin_macro},
  {"beginning-of-buffer", beginning_of_buffer},
  {"beginning-of-line", beginning_of_line},
  {"bind-to-key", bind_to_key},
  {"capitalize-word", capitalize_word},
  {"clear-message-line", clear_msg},
  {"copy-region", copy_region},
  {"create-script", create_script},
  {"cursor-position", cursor_position},
  {"delete-backward", delete_backward},
  {"delete-buffer", delete_buffer},
  {"delete-forward", delete_forward},
  {"delete-global-mode", delgmode},
  {"delete-mode", delmode},
  {"delete-next-word", delete_next_word},
  {"delete-previous-word", delete_previous_word},
  {"delete-window", delete_window},
  {"describe-bindings", describe_bindings},
  {"describe-envars", describe_envars},
  {"describe-key", describe_key},
  {"detab-region", detab},
  {"end-macro", end_macro},
  {"end-of-buffer", end_of_buffer},
  {"end-of-line", end_of_line},
  {"end-of-word", end_of_word},
  {"entab-region", entab},
  {"execute-buffer", execute_buffer},
  {"execute-macro", execute_macro},
  {"execute-named-command", execute_command},
  {"execute-procedure", execute_procedure},
  {"execute-script", execute_script},
  {"exit-rho", exit_rho},
  {"file-grep", file_grep},
  {"filter-buffer", filter_buffer},
  {"find-file", find_file},
  {"goto-line", goto_line},
  {"goto-mark", goto_mark},
  {"handle-tab", tab},
  {"incremental-search", fisearch},
  {"indent-region", indent_region},
  {"insert-file", insert_file},
  {"insert-string", insert_string},
  {"kill-paragraph", kill_paragraph},
  {"kill-region", kill_region},
  {"kill-to-end-of-line", killtext},
  {"list-buffers", list_buffers},
  {"lowercase-region", lowercase_region},
  {"lowercase-word", lowercase_word},
  {"macro-to-key", macro_to_key},
  {"make", make},
  {"make-clean", make_clean},
  {"matching-fence", matching_fence},
  {"meta-prefix", meta_prefix},
  {"narrow-region", narrow_region},
  {"newline", newline},
  {"next-buffer", next_buffer},
  {"next-character", next_character},
  {"next-error", next_error},
  {"next-line", next_line},
  {"next-paragraph", next_paragraph},
  {"next-window", next_window},
  {"next-word", next_word},
  {"nop", nop},
  {"open-line", open_line},
  {"page-down", page_down},
  {"page-up", page_up},
  {"pipe-command", pipe_command},
  {"previous-character", previous_character},
  {"previous-line", previous_line},
  {"previous-paragraph", previous_paragraph},
  {"previous-window", previous_window},
  {"previous-word", previous_word},
  {"purge-sbuffers", purge_sbuffers},
  {"query-replace", query_replace},
  {"quote-character", quote},
  {"read-file", read_file},
  {"refresh", refresh_scrn},
  {"resize-window", resize_window},
  {"retag-word", retag_word},
  {"reverse-incremental-search", risearch},
  {"save-file", save_file},
  {"scroll-next-down", scroll_next_down},
  {"scroll-next-up", scroll_next_up},
  {"search-again", search_again},
  {"search-regex", search_regex},
  {"select-buffer", select_buffer},
  {"set", set_envar},
  {"set-fill-column", set_fill_column},
  {"set-mark", set_mark},
  {"shell-command", shell_command},
  {"single-window", single_window},
  {"source", source},
  {"split-window", split_window},
  {"store-procedure", store_procedure},
  {"swap-mark", swap_mark},
  {"tag-word", tag_word},
  {"this-error", this_error},
  {"transpose-characters", twiddle},
  {"trim-region", trim},
  {"unbind-key", unbind_key},
  {"unindent-region", unindent_region},
  {"universal-argument", universal_argument},
  {"unmark-buffer", unmark_buffer},
  {"update-screen", update_screen},
  {"uppercase-region", uppercase_region},
  {"uppercase-word", uppercase_word},
  {"view-file", view_file},
  {"widen-region", widen_region},
  {"window-down", window_down},
  {"window-up", window_up},
  {"wordcount", wordcount},
  {"wrap-word", wrap_word},
  {"write-file", write_file},
  {"write-message", write_msg},
  {"yank", yank},

  {"", NULL}
};

#define	NNAMES	(sizeof(names)/sizeof(NBIND)) - 1
int numfunc = NNAMES;		/* number of bindable functions */
